image: golang:1.18

.go-cache:
  variables:
    GOPATH: $CI_PROJECT_DIR/.go
  before_script:
    - mkdir -p .go
  cache:
    paths:
      - .go/pkg/mod/

build:
  extends: .go-cache
  script:
  - ./build.sh
